#
# $Id: libhw.spec 532 2006-04-28 12:00:31Z rider $ 
#
Name: 	libhw
Version: 0.2.24
Release: alt1
Summary: The Linux hardware detection and setup library
Summary(ru_RU.UTF-8): Библиотека для определения и настройки оборудования в Linux
License: GPL
Group: System/Libraries
Requires: hwdatabase >= 0.3.22
URL: http://www.altlinux.com/

Packager: Anton Farygin <rider@altlinux.ru>

Source: %name-%version.tar

# Automatically added by buildreq on Fri Oct 15 2004
BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libstdc++-devel libsysfs-devel xorg-x11-libs

BuildPreReq: libfdisk0-devel, chrpath, libsysfs-devel >= 2.0.0-alt1, libe2fs-devel, pciutils-devel-static >= 2.1.11-alt9, libvbe-devel >= 2.0.3
PreReq: libfdisk0
%description
libhw is a hardware detection and setup library.

%package devel
Summary: Development part of %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
Contents header files and development libraries for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Contents static libraries for %name

%package tools
Summary: The Linux hardware detection tools
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description tools
Hardware detection tools

%package tools-x11
Summary: Various hardware-specific tools for X11
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description tools-x11
Various hardware-specific tools for X11

%prep
%setup -q

%define _optlevel s

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LIBDIR=%_libdir X11LIBDIR=%_libdir/X11

%install
%makeinstall DESTDIR=%buildroot LIBDIR=%_libdir

# icon
install -D -m644 misc/xcpufreq-48x48.png $RPM_BUILD_ROOT%_liconsdir/xcpufreq.png
install -D -m644 misc/xcpufreq-16x16.png $RPM_BUILD_ROOT%_miconsdir/xcpufreq.png
install -D -m644 misc/xcpufreq-32x32.png $RPM_BUILD_ROOT%_niconsdir/xcpufreq.png

# menu
install -D -m 644 misc/xcpufreq.menu $RPM_BUILD_ROOT%_menudir/xcpufreq

%post tools-x11
%update_menus

%postun tools-x11
%clean_menus

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%dir %_includedir/%name
%_includedir/%name/*
%_bindir/getpciids

%files devel-static
%_libdir/*.a

%files tools
%_bindir/*
%exclude %_bindir/getpciids
%exclude %_bindir/xcpufreq

%files tools-x11
%_bindir/xcpufreq
%_liconsdir/*.png
%_miconsdir/*.png
%_niconsdir/*.png
%_menudir/*

%changelog
* Tue Feb 06 2007 Anton Farygin <rider@altlinux.ru> 0.2.24-alt1
- fixed build in new environment

* Fri May 12 2006 Anton Farygin <rider@altlinux.ru> 0.2.23.1-alt1
- fixed build with gcc-4.1

* Fri Apr 28 2006 Andriy Stepanov <stanv@altlinux.ru> 0.2.23-alt1
- Added support for AMD PowerNOW! information 

* Fri Mar 31 2006 Anton Farygin <rider@altlinux.ru> 0.2.22.2-alt2
- move xcpufreq to tools-x11 package (#9341)

* Tue Mar 28 2006 Anton Farygin <rider@altlinux.ru> 0.2.22.2-alt1
- fixed build

* Wed Jan 18 2006 Anton Farygin <rider@altlinux.ru> 0.2.22.1-alt1
- x11createconfig: do not use ddc for -f mode (workaround for #8192, #8847)
- x11createconfig: now work only with xorg-7.0.

* Tue Dec 20 2005 Anton Farygin <rider@altlinux.ru> 0.2.22-alt1
- ported to libsysfs.so.2

* Tue Sep 13 2005 Anton Farygin <rider@altlinux.ru> 0.2.21-alt1
- fixed priority for kernel modules in pciscan (#7708)

* Wed Sep 07 2005 Anton Farygin <rider@altlinux.ru> 0.2.20-alt1
- brandid support for new AMD processors (thanx to greycat@)
- xorg 6.9 support

* Mon Sep 05 2005 Anton D. Kachalov <mouse@altlinux.org> 0.2.19-alt2
- updated x11createconfig to proper driver detect with XOrg 6.8.99.900

* Fri Jul 01 2005 Anton D. Kachalov <mouse@altlinux.org> 0.2.19-alt1
- updated x86_64 support
- build with new ddcprobe-2.0

* Thu Jun 30 2005 Anton Farygin <rider@altlinux.ru> 0.2.18-alt1
- updated x86_64 support: build with new ddcprobe (#6669)

* Fri Jun 24 2005 Anton Farygin <rider@altlinux.ru> 0.2.17-alt1
- x86_64 support (#6669)
- x11createconfig: dri access only for xgrp group (#7050)
- use default mouse for all unlisted in hwdatabase mices with wheels (#6864)

* Tue Jun 14 2005 Anton Farygin <rider@altlinux.ru> 0.2.16-alt1
- rewrited acpi detection code (required kernel >=2.6.11-std*-alt10)

* Wed Jun 08 2005 Anton Farygin <rider@altlinux.ru> 0.2.15-alt1
- x11createconfig:changed algoritm for calculation color depth in -f mode

* Fri Jun 03 2005 Anton Farygin <rider@altlinux.ru> 0.2.14-alt1
- x11createconfig: added -c and -m options
- x11createconfig: use informations about color depth from hwdatabase ( > 0.3.8 requires)

* Tue May 24 2005 Anton Farygin <rider@altlinux.ru> 0.2.13-alt1
- x11createconfig: monitor over ddc1 detection support

* Thu Apr 28 2005 Anton Farygin <rider@altlinux.ru> 0.2.12-alt1
- fixed slot parameter
- fixed priority algoritm for calculation kernel drivers (by vsu) 

* Wed Apr 27 2005 Anton Farygin <rider@altlinux.ru> 0.2.11-alt1
- pciscan now use modules.pcimap and modules.dep for resolve kernel drivers

* Fri Apr 15 2005 Anton Farygin <rider@altlinux.ru> 0.2.10-alt1
- prepare x11createconfig for alterator-x11

* Wed Apr 06 2005 Anton Farygin <rider@altlinux.ru> 0.2.9-alt1
- hwdb: remove left spaces from additiona parameters
- storagescan: added -r option

* Fri Apr 01 2005 Anton Farygin <rider@altlinux.ru> 0.2.8-alt1
- fixed x11createconfig for cards without data in pcitable
 Stanislav Ievlev:
 - little improvements in hwdb
 - added first version of vcardinfo utility
 - little improvements in pciscan code
 - added new option "-q"

* Wed Mar 23 2005 Anton Farygin <rider@altlinux.ru> 0.2.7.3-alt1
- added information about pci slot to pciscan -v
- if option -s exists witchout arguments - pciscan show only pci slots

* Fri Mar 04 2005 Anton Farygin <rider@altlinux.ru> 0.2.7.2-alt1
- don't add path to xfont server if -f option used
- fixed vesa driver setup

* Fri Mar 04 2005 Anton Farygin <rider@altlinux.ru> 0.2.7.1-alt1
- x11createconfig: fixed typo 

* Wed Feb 09 2005 Anton Farygin <rider@altlinux.ru> 0.2.7-alt1
- x11createconfig: added -f option for setup X11 resolution
  with video mode from current framebuffer
- xcpuinfo: menu file fixed (#5398)

* Mon Jan 24 2005 Anton Farygin <rider@altlinux.ru> 0.2.6.1-alt1
- gcc 3.4 build fix
- fixed detection filesystem on devices without partition table 

* Tue Dec 28 2004 Anton Farygin <rider@altlinux.ru> 0.2.6-alt1
- use libpci from pciutils for access to pci devices and pci.ids

* Thu Dec 23 2004 Anton Farygin <rider@altlinux.ru> 0.2.5-alt1
- added serialscan (usable only for debug)
- use hwdatabase from /usr/share/hwdatabase/

* Tue Dec 21 2004 Anton Farygin <rider@altlinux.ru> 0.2.4.2-alt1
- pciscan: fixed kernel version autodetection

* Fri Dec 17 2004 Anton Farygin <rider@altlinux.ru> 0.2.4.1-alt1
- removed debug messages

* Thu Dec 16 2004 Anton Farygin <rider@altlinux.ru> 0.2.4-alt1
- fixed class database merge in libhw::pci (#5703) 

* Tue Dec 14 2004 Anton Farygin <rider@altlinux.ru> 0.2.3-alt1
- x11createconfig: check X11 driver in system

* Tue Dec 07 2004 Anton Farygin <rider@altlinux.ru> 0.2.2-alt1
- added x11createconfig tool - create default config for xorg

* Wed Nov 17 2004 Anton Farygin <rider@altlinux.ru> 0.2.1-alt1
- config file engine added to libhw (over libhw::config)
- reiser4 support added to fstype
- reiser3 support added to fstype
- filesystem uuid and label detection added to fstype and storagescan
- hardware id added to libhw::hwlist
- hardware id output added to pciscan, cpuscan, storagescan (verbose mode)
- using default config file (/etc/libhw.conf) added to all hardware scanning tools
- code cleanup, other small fixes

* Wed Nov 10 2004 Anton Farygin <rider@altlinux.ru> 0.2.0-alt1
- added getpciids tool to libhw-devel package
- memory leaks fixed
- added fstype tool to libhw-tools package
- storage::get_partitions rewrite with libfdisk0 (more stable than libfdisk from Mouse)

* Wed Nov 03 2004 Anton Farygin <rider@altlinux.ru> 0.1.9.2-alt1
- fixed filesystem type detection for vfat devices

* Mon Nov 01 2004 Anton Farygin <rider@altlinux.ru> 0.1.9.1-alt1
- removed mouse detection code for kernel 2.4
- don't run mousescan on kernel 2.4.x
- fixed slot filter in pciscan (speedup system start)
- added "need mount?" information to storagescan (require hwdatabase coming soon update)

* Mon Oct 18 2004 Anton Farygin <rider@altlinux.ru> 0.1.9-alt1
- code cleanup
- EPOC OS added to fstype for vfat
- fixed segfault with new libfdisk

* Fri Oct 15 2004 Anton Farygin <rider@altlinux.ru> 0.1.8-alt1
- added partitions detection code (with libfdisk) to storagescan
- added libhw::fstype functions (from fstyp package) for detection
  filesystem type on partition or storage.
- added -f option to storagescan
- added auto(loading/unloading) modules msr and cpuid to libhw::cpuinfo

* Sun Oct 10 2004 Rider <rider@altlinux.ru> 0.1.7-alt1
- added acpiscan utility for detection hardware, provided by acpi interface
- fixed menu entry for xcpufreq

* Thu Sep 30 2004 Rider <rider@altlinux.ru> 0.1.6-alt1
- added cpuscan utility for detection cpufreq driver
- added xcpu utility for display current cpu frequency
- added experimental mousescan tool

* Tue Sep 07 2004 Anton Farygin <rider@altlinux.ru> 0.1.5-alt1
- added probe-only option for storagescan (useful for auto-loading ide-cd driver)
- added detection ide devices from /proc/ide interface to libhw::storage

* Tue Aug 17 2004 Rider <rider@altlinux.ru> 0.1.4-alt1
- added storagescan tool
- fixed all known bugs
- api extensions (storage class and more)

* Fri May 21 2004 Anton Farygin <rider@altlinux.ru> 0.1.1-alt1
- pciscan: added -s, --slot paramater

* Wed May 19 2004 Anton Farygin <rider@altlinux.ru> 0.1.0-alt1
- first build
